### Method

# FwupdPlugin SecurityAttrs get_all

since: 1.5.0

#### Declaration [src]

    GPtrArray*
    fu_security_attrs_get_all (
      FuSecurityAttrs* self,
      const gchar* fwupd_version
    )

#### Description [src]

Gets all the non-obsoleted attributes in the object.

Available since: 1.5.0

#### Parameters

`fwupd_version`

  Type: `const gchar*`

  Fwupd version string, e.g. `2.0.7`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `None`

Attributes.

The caller of the method takes ownership of the returned data container, but not the data inside it.